{
  "feature": "lostskyislands:patch_azalea_leaves",
  "placement": [
    {
      "type": "minecraft:count",
      "count": 48
    },
    {
      "type": "minecraft:random_offset",
      "xz_spread": {
        "type": "minecraft:trapezoid",
        "max": 4,
        "min": -4,
        "plateau": 0
      },
      "y_spread": {
        "type": "minecraft:trapezoid",
        "max": 2,
        "min": -2,
        "plateau": 0
      }
    },
    {
      "type": "minecraft:block_predicate_filter",
      "predicate": {
        "type": "minecraft:all_of",
        "predicates": [
          {
            "type": "minecraft:matching_blocks",
            "blocks": "minecraft:air"
          },
          {
            "type": "minecraft:any_of",
            "predicates": [
              {
                "type": "minecraft:has_sturdy_face",
                "offset": [
                  0,
                  1,
                  0
                ],
                "direction": "down"
              },
              {
                "type": "minecraft:has_sturdy_face",
                "offset": [
                  0,
                  -1,
                  0
                ],
                "direction": "up"
              }
            ]
          }
        ]
      }
    }
  ]
}